#%SRCPAT% \.dok\.md

include /opt/lenaisten/compile-md.mk

PANDOCVARS := \
	colorlinks:true \
	csquotes:true \
	hyperrefoptions:pdfa \
	lang:de-DE \
	tables:true

mdFiles     := $(wildcard *.dok.md)
mdSuffix    =  $(patsubst %.dok.md,%$(1),$(mdFiles))

pdfFiles := $(call mdSuffix,.pdf)
texFiles := $(call mdSuffix,.tex)

.PHONY: all autodoc
all: pdf tex
autodoc: pdf

.PHONY: pdf tex
pdf: $(pdfFiles)
tex: $(texFiles)

# pdf

%.pdf: %.dok.md
	$(call md2pdfa,$<,lev-dokument,$@)

# tex

%.tex: %.dok.md
	$(call md2tex,$<,lev-dokument,$@)
